# Uses of Interface
org.apache.qpid.proton.amqp.transport.Source

Packages that use Source
Package
Description
org.apache.qpid.proton.amqp.messaging
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl

## Uses of Source in org.apache.qpid.proton.amqp.messaging

Classes in org.apache.qpid.proton.amqp.messaging that implement Source
Modifier and Type
Class
Description
`final class`
`Source`
Methods in org.apache.qpid.proton.amqp.messaging that return Source
Modifier and Type
Method
Description
`Source`
Source.`copy()`

## Uses of Source in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return Source
Modifier and Type
Method
Description
`Source`
Source.`copy()`
`Source`
Attach.`getSource()`
Methods in org.apache.qpid.proton.amqp.transport with parameters of type Source
Modifier and Type
Method
Description
`void`
Attach.`setSource(Source source)`

## Uses of Source in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return Source
Modifier and Type
Method
Description
`Source`
Link.`getRemoteSource()`
`Source`
Link.`getSource()`
Methods in org.apache.qpid.proton.engine with parameters of type Source
Modifier and Type
Method
Description
`void`
Link.`setSource(Source address)`
Sets the source for this link.

## Uses of Source in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return Source
Modifier and Type
Method
Description
`Source`
LinkImpl.`getRemoteSource()`
`Source`
LinkImpl.`getSource()`
Methods in org.apache.qpid.proton.engine.impl with parameters of type Source
Modifier and Type
Method
Description
`void`
LinkImpl.`setSource(Source source)`